package com.eversec.kit.creator.impl.page;


import com.eversec.common.Kv;

import java.io.File;
import java.util.List;
import java.util.Map;

/**
 * @author: liangxianyou at 2018/8/6 16:34.
 */
public class CtrlExtKit extends PageKit {

    private static CtrlKit ctrlKit = new CtrlKit();

    @Override
    public File getFile(String clazz) {
        return new File(filePath(clazz) + "/listCtrl.js");
    }

    @Override
    public String createStr(String clazz, List<Map> fieldList, Map para) {
        return ctrlKit.createStr(clazz,fieldList, para);
    }

    public Kv createStrExt(List<Map> fieldList) {
        return ctrlKit.createFiledLabel(fieldList, null);
    }

    @Override
    public String getFileDir(String clazz){
        return toLowerCaseFirst(clazz);
    }
}
